Subject: [ippm] AD Review: draft-ietf-ippm-twamp-session-cntrl-03

From: Lars Eggert <[email-masked]>
Date: Fri, 26 Feb 2010 14:56:33 +0100

Summary: Almost ready. Issues below are straightforward to address - either revise the document or provide me with an RFC Editor Note.

Section 1., paragraph 4:
>    Implementers of this feature may also wish to implement the "Reflect
>    Octets" feature, described in [I-D.ietf-ippm-twamp-reflect-octets].

  Suggest to add something like "once the RFC has been published."

Section 1., paragraph 6:
>    This memo is intended to be an update to the TWAMP RFC.

  Then you need an "Updates: 5357" header in the boilerplate. It would
  also be good to clarify in the text that that means that this
  extensions becomes mandatory to implement for all TWMP implementations
  (i.e., it is non-optional.) Oh, and add a reference to RFC5357 to this
  statement.

Section 3.7., paragraph 2:
>    If this feature is adopted, the last ???? bits of the Modes 32-bit

  Do you mean "used" instead of "adopted"? Also, ???? needs to be
  clarified.

Section 8.2., paragraph 2:
>    [x]        "".

  Remove.

---

From: Al Morton <[email-masked]>
Date: Fri, 26 Feb 2010 11:58:13 -0500

Hi Lars, thanks for your review and comments.

We need one clarification, perhaps on the definition

of an "Update" to a standards track RFC and what it
entails.

At 08:56 AM 2/26/2010, Lars Eggert wrote:

>    This memo is intended to be an update to the TWAMP
RFC.

Then you need an "Updates: 5357" header in the
boilerplate. It would

extensions becomes mandatory to implement for all TWMP
implementations

(i.e., it is non-optional.) Oh, and add a reference to RFC5357 to
this

statement.

When we went ahead with the Mixed Security Mode RFC for
TWAMP,

http://tools.ietf.org/html/rfc5618

we made it an Update for RFC 5357.

But it's not *mandatory to implement* RFC 5618 if you are building

RFC 5357 TWAMP, AFAIknew.  Is that what we've effectively done

by making it an Update?

We want to make sure that someone who builds TWAMP knows that there

have been new (optional) features added, like mixed security mode and

Individual Session control, etc. Update seemed like the right
mechanism.

thanks for your help,

Al

---

From: Lars Eggert <[email-masked]>
Date: Sat, 27 Feb 2010 07:33:06 -0800

Hi,

On 2010-2-26, at 8:58, Al Morton wrote:
> When we went ahead with the Mixed Security Mode RFC for TWAMP,

what the "Updates" header means is unfortunately not well defined. To some, "Updates X" in document Y means "if you have implemented X, you now also need to implement Y to remain compliant." To others, it just means "if you implemented X you probably now also want to read Y".

The IESG is working on a statement that hopes to clarify the different interpretations. Personally, I'm more of a subscriber to the first viewpoint.

For RFC5618, we have no issue, because although it says that it updates RFC5357, it's very clear from the text that it is an OPTIONAL extension. In other words, it's more or a "also read this" update.

> Individual Session control, etc. Update seemed like the right mechanism.

We can do the same here, also for consistency: add an "Updates: 5357" header, but then in the text make it very clear that this is an OPTIONAL extension that is not required to implement for TWAMP compliance.

Lars

---

From: Al Morton <[email-masked]>
Date: Sat, 27 Feb 2010 10:53:41 -0500

At 10:33 AM 2/27/2010, Lars Eggert wrote:
>...We can do the same here, also for consistency: add an "Updates: 
>5357" header, but then in the text make it very clear that this is 
>an OPTIONAL extension that is not required to implement for TWAMP compliance.

Thanks, will do.
Al